pot_pset(X,S) :- score(X,S,Y).

:- pset(X,S), not node(X).
:- pset(X,S), not pot_pset(X,S).
:- node(X), #count{S : pset(X,S)} != 1.

parent(X,Y) :- pset(X,S), cond_parent(X,S,Y).

order(X,Y) :- parent(X,Y), order(Y).
order(X)   :- node(X), order(X,Y) : parent(X,Y).

:- node(X), not order(X).

:~ pset(X,S), score(X,S,Y). [-Y/1000,X]
